senders

## Enum Sender.SendingInterval

- java.lang.Object
- - java.lang.Enum<Sender.SendingInterval>
  - - senders.Sender.SendingInterval

- All Implemented Interfaces:
    EnumBase, java.io.Serializable, java.lang.Comparable<Sender.SendingInterval>
  Enclosing class:
    Sender

      public static enum Sender.SendingInterval
      extends java.lang.Enum<Sender.SendingInterval>
      implements EnumBase

  Supported sending intervals. This is loaded directly from GUI, CLI and senders.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `hours_1`
    `hours_10`
    `hours_2`
    `hours_24`
    `hours_5`
    `minutes_1`
    `minutes_10`
    `minutes_15`
    `minutes_2`
    `minutes_20`
    `minutes_30`
    `minutes_5`
    `seconds_1`
    `seconds_10`
    `seconds_2`
    `seconds_20`
    `seconds_30`
    `seconds_5`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `niceName`
    `private int` | `seconds`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNiceName()`
    `int` | `getSeconds()`
    `java.lang.String` | `toString()`
    `static Sender.SendingInterval` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Sender.SendingInterval[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface core.EnumBase

      `ordinal`

- - ### Enum Constant Detail

    - #### hours_1

          public static final Sender.SendingInterval hours_1

    - #### hours_10

          public static final Sender.SendingInterval hours_10

    - #### hours_2

          public static final Sender.SendingInterval hours_2

    - #### hours_24

          public static final Sender.SendingInterval hours_24

    - #### hours_5

          public static final Sender.SendingInterval hours_5

    - #### minutes_1

          public static final Sender.SendingInterval minutes_1

    - #### minutes_10

          public static final Sender.SendingInterval minutes_10

    - #### minutes_15

          public static final Sender.SendingInterval minutes_15

    - #### minutes_2

          public static final Sender.SendingInterval minutes_2

    - #### minutes_20

          public static final Sender.SendingInterval minutes_20

    - #### minutes_30

          public static final Sender.SendingInterval minutes_30

    - #### minutes_5

          public static final Sender.SendingInterval minutes_5

    - #### seconds_1

          public static final Sender.SendingInterval seconds_1

    - #### seconds_10

          public static final Sender.SendingInterval seconds_10

    - #### seconds_2

          public static final Sender.SendingInterval seconds_2

    - #### seconds_20

          public static final Sender.SendingInterval seconds_20

    - #### seconds_30

          public static final Sender.SendingInterval seconds_30

    - #### seconds_5

          public static final Sender.SendingInterval seconds_5

  - ### Field Detail

    - #### niceName

          private java.lang.String niceName

    - #### seconds

          private int seconds

  - ### Method Detail

    - #### getNiceName

          public java.lang.String getNiceName()

      Specified by:
        `getNiceName` in interface `EnumBase`

    - #### getSeconds

          public int getSeconds()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Sender.SendingInterval>`

    - #### valueOf

          public static Sender.SendingInterval valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static Sender.SendingInterval[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Sender.SendingInterval c : Sender.SendingInterval.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared